Previous Entry Поделиться Next Entry
чертовски вкусно выглядит. вопросы по АРМу...
Лемур
dikiy_mujchina wrote in ru_linux
в общем скоро пятница.
есть такой вброс:
http://www.phoronix.com/scan.php?page=article&item=samsung_chrome_a15&num=1
и если купить подобное, то...
1. я так понимаю виртуализация в пролете, что-то там планировали, но пока реально работающего вроди нет. интересует не аппаратная виртуализация а в юзерспейсе... виртуалбокс идеально...
2. вайн?
3. все ли из репозитария что есть в х86 есть для арма? и насколько совместимы репозитарии в процентном соотношении, теоретически, если у кого-то есть опыт...
4. драйвера для принтеров и прочей периферии. тут вообще думаю проблема. потому как откомпиленные дрова поставляемые от самсунга к примеру не удасться самому пересобрать из-за отсутствия сырцов, а есть ли они для арма - не видел пока...
5. так как там через фреймбуфер работает все, то как это повлияет на кол-во работоспособнеого ПО? т.е. все ли будет работать?
6. КДЕ4,компиз?
7. я так понимаю перспектива вейленда на нем ближе, чем на нефреймбуф. дровах. но это на далекое будущее...

  • 1
1. Xen вроде тестируется, qemu есть
2. вайн.
3. Вы можите самостоятельно исследовать этот вопрос, см http://ports.ubuntu.com/ubuntu-ports/dists/quantal/universe/binary-armel/Packages.bz2 нопример.
4. для принтеров хватит cups, для сканеров sane. не для всех, конечно. Что под "прочей" перефирией подразумевается?
5. Ну, если X'ы работают, то чего еще софту надо, если он конечно 2D/3D не использует?
6. Кде4 - теоритически возможно, а компиз - врядли.
7. Да хз что там ближе.

Вайна не будет. Это не эмулятор, а транслятор.

драйвера для принтеров и прочей периферии.
Драйвера для принтеров идут ввиде ppds файлов обычно. Так что проблемы быть не должно.

Вообще на нем запускали ubuntu. Поищите обзоры что работает что нет.

ага... в виде группы файлов, только у некоторых они устанавливаются через бинарный инсталлятор...))) заниматься поиском ппдшек на установленой х86 и писать инсталлятор чтоб потом раскидать их на арме? при том что инсталлятор занимает 80мб(он сразу на пучок девайсов), плюс к нему идет программа(!) для управления настройками принтера-сканера(если МФУ)...

Так я ж ссылку как раз и даю про то что на нем запускали убунту, но там только тесты производительностии...

а в чем причина не работы вайна?
это ведь транслятор запросов от вин-программы и просто альтернативная реализация ВинАПИ. Я так понимаю чем запросы обрабатываюся пофик, главное действие, которое оно сделает или передаст какие-то данные программе...

В том что внутри файла есть еще исполняемый бинарный код для x86.

Иксы через драйвер фреймбуфера, то есть ни видео, ни 3D в окнах не будет -- только на полный экран, как в Андроиде, и то если повезёт. Ни KDE4, ни compiz не пойдут, DRI2 нет.

есть подозрение что КДЕ4 будут арбайт. они сейчас(4.9.2) запускаются если даже нет 3д ускорения на плате. софтварный рендеринг. Но фот как оно поведет себя с ФБ. У меня на 12.10 - кеды запускались с галлиум3д из коробки(когда я выпилил кучу видео-модулей). Медленно но работало. Но такое решение нафик тогда...
железка заманчивая и если б она имела 1920на1080 - был бы жир...а то на тесте написано 1920 а во всех обзорах 1330...(((

я юзаю lubuntu на мини-компьютере mk802 (arm allwinnerA10), через synaptic там предлагается туеву хучу всякой всячины. пока только испытал софт для захвата с камеры: ffmpeg, vlc, motion. также потыкал всякие браузеры, офисный софт. арм армом, но к сожалению всё упирается в драйвера для SoC: графика без акселерации, вайфай периодически отваливается. жду ядра 3.7 :)

Вот я я про то - одно дело сервер или что-то узкозаточенное, другое дело ноутбук! Тут тебе и компиз и игрулині захочется а оно в пролете...
Ну то что 3.7 то по-любе, а то и 3.8...
Кстати а 3.7.рц6 уже есть, почему не пробовали? А то я себе для кубунту компилил(там радеон подручен), но оно меня не устраивает по другим нестыковкам с 12.10. Жду 13.04, где это будет решено и ядро 3.8... ночные сборки пока не ставятся - ошибки инсталлера...

там пока что не компилится gspca модуль, жду пока пофиксят :)

В -rc6 не компилируется?! Вы чего-то не то делаете явно.
У меня под рукой linux-next, но драйвер gspca там такой же, как и в 3.7-rc6. Сейчас включил ради интереса сборку всех модулей...

Всё собралось без нареканий.

2.14.0.
Впрочем, это неправильная оценка. Правильно - версия, обозначенная таким комитом:

commit d88aab53bd267c9fb0b0451e9acae68091703eab
Author: Hans Verkuil <hans.verkuil@cisco.com>
Date:   Mon Sep 17 05:05:25 2012 -0300

    [media] v4l2: make vidioc_s_jpegcomp const

по коммиту лично мне сложно определить, что новее, что старше

например, меня интересует имеено конкретная девелоперская версия 2.15.19 (http://moinejf.free.fr/gspca-2.15.19.tar.gz). я не покажусь слишком наглым если попрошу скомпилить данный модуль для 3.7rc6? отблагодарю добрым словом

Хе-хе, врядли получится. Причины следующие: у нас разные архитектуры, а ещё, что более важно, компиляторы.
Я могу Вам помочь пофиксить сборку, если хотите (JID: andriy@jabber.ru)

не, моя цель не бинарники получить, а просто убедиться по факту, собирается ли оно на 3.7 ввиду того самого текста, упомянутого сообщением ниже (it does not work with kernels >= 3.5)

А если издалека - что там такого, чего нет в версии 2.14.0? Потому как я посмотрел diff между оф.версией и вот этой 2.15.19 - там почти 750к...

изначально, хотелось протестировать камеру на "самом свежем" i586 билде, убедиться, что оно собирается, чтобы его дальше на ARM собирать. далее убедиться, что не работают hue и saturation контролы - и написать баг репорт :) особенно учитывая, как этот gspca в последнее время ходил по рукам и переписывался

из linux-tv снепшот у меня не компилируется даже на i586:

CC [M] /home/user/media_build/linux/drivers/media/usb/gspca/gspca.o
/home/user/media_build/linux/drivers/media/usb/gspca/gspca.c:2140:2: warning: initialization from incompatible pointer type [enabled by default]
/home/user/media_build/linux/drivers/media/usb/gspca/gspca.c:2140:2: warning: (near initialization for ‘dev_ioctl_ops.vidioc_s_jpegcomp’) [enabled by default]
/home/user/media_build/linux/drivers/media/usb/gspca/gspca.c: In function ‘gspca_dev_probe2’:
/home/user/media_build/linux/drivers/media/usb/gspca/gspca.c:2273:2: error: implicit declaration of function ‘v4l2_disable_ioctl_locking’ [-Werror=implicit-function-declaration]
/home/user/media_build/linux/drivers/media/usb/gspca/gspca.c:2277:3: error: implicit declaration of function ‘v4l2_disable_ioctl’ [-Werror=implicit-function-declaration]
cc1: some warnings being treated as errors
make[1]: *** [/home/user/media_build/linux/drivers/media/usb/gspca/gspca.o] Error 1
make: *** [_module_/home/user/media_build/linux/drivers/media/usb/gspca] Error 2
make: Leaving directory `/usr/src/linux-3.4.11-2.16'


а из таров самый свежий нашёлся 2.15.19, который на i586 собирается, работает и даже исправлен баг автоопределения сенсора. но "it does not work with kernels >= 3.5", поэтому как-то даже руки опустились :)

Ну, 2.15.19 собирается в окружении linux-next под архитектуру x86.
Building modules, stage 2.
MODPOST 47 modules

Так что можете продолжать эксперименты.

Хмм... Вы это-то читали?
Webcam GSPCA driver V4L version 2.
The last version may be found in the git repositories at LinuxTv.org.
The new gspca maintainer is Hans de Goede.
My last test version is gspca-2.15.19.tar.gz (it does not work with kernels >= 3.5).


Если уж собирать, так дерево Ганса: http://git.linuxtv.org/hgoede/gspca.git

хм, что-то не клонируется...

git clone http://linuxtv.org/git/hgoede/gspca.git
Cloning into 'gspca'...
error: Unable to find 7655e594945289b418af39f6669fea4666a7b520 under http://linuxtv.org/git/hgoede/gspca.git
Cannot obtain needed object 7655e594945289b418af39f6669fea4666a7b520
while processing commit 0a97a683049d83deaf636d18316358065417d87b.
error: Fetch failed.

Что-то у Вас не так. Правда я пользую git протокол, но вот:

Fetching gspca
remote: Counting objects: 17856, done.
remote: Compressing objects: 100% (3655/3655), done.
remote: Total 15019 (delta 13038), reused 13216 (delta 11339)
Receiving objects: 100% (15019/15019), 2.92 MiB | 160 KiB/s, done.
Resolving deltas: 100% (13038/13038), completed with 985 local objects.
From git://linuxtv.org/hgoede/gspca
 * [new branch]      devel/bkl  -> gspca/devel/bkl
 * [new branch]      eventfixes -> gspca/eventfixes
 * [new branch]      for_2.6.38-rc1 -> gspca/for_2.6.38-rc1
 * [new branch]      gspca-for_v2.6.39 -> gspca/gspca-for_v2.6.39
 * [new branch]      master     -> gspca/master
 * [new branch]      media-for_v3.1 -> gspca/media-for_v3.1
 * [new branch]      media-for_v3.2 -> gspca/media-for_v3.2
 * [new branch]      media-for_v3.3 -> gspca/media-for_v3.3
 * [new branch]      media-for_v3.5 -> gspca/media-for_v3.5
 * [new branch]      media-for_v3.5-wip -> gspca/media-for_v3.5-wip
 * [new branch]      media-for_v3.6 -> gspca/media-for_v3.6
 * [new branch]      media-for_v3.6-wip -> gspca/media-for_v3.6-wip
 * [new branch]      media-for_v3.7 -> gspca/media-for_v3.7
 * [new branch]      media-for_v3.7-wip -> gspca/media-for_v3.7-wip
 * [new branch]      media-for_v3.8 -> gspca/media-for_v3.8
 * [new branch]      poll_req_events -> gspca/poll_req_events
 * [new branch]      staging/for_2.6.38-rc1 -> gspca/staging/for_2.6.38-rc1
 * [new branch]      staging/for_v2.6.37-rc1 -> gspca/staging/for_v2.6.37-rc1
 * [new branch]      staging/for_v2.6.38 -> gspca/staging/for_v2.6.38
 * [new branch]      staging/leadership -> gspca/staging/leadership
 * [new branch]      staging/v2.6.35 -> gspca/staging/v2.6.35
 * [new branch]      staging/v2.6.36 -> gspca/staging/v2.6.36
 * [new branch]      staging/v2.6.37 -> gspca/staging/v2.6.37


a http можете проверить? может только в нём дело? у меня git:// блокируют...

Не робе.
Сочувствую. Впрочем, возвращаясь к вопросу, почему 2.15.19?

отличие от 2.14 в том, что сенсор TAS5130C моей подопытной камеры определяется автоматически. это было сломано с 2.2 по 2.14 включительно. поэтому взял данную версию как эатлон для дальнейшего тестирования под ARM

вся история - чуть выше http://ru-linux.livejournal.com/2898139.html?thread=42071259#t42071259

  • 1
?

Log in

No account? Create an account